{
  "ConnectionStrings": {
    "ConfigDb": "Server=localhost,14330;Database=OtOpcUaConfig;User Id=sa;Password=OtOpcUaDev_2026!;TrustServerCertificate=True;Encrypt=False;"
  },
  "Authentication": {
    "Ldap": {
      "Enabled": true,
      "Server": "localhost",
      "Port": 3893,
      "UseTls": false,
      "AllowInsecureLdap": true,
      "SearchBase": "dc=lmxopcua,dc=local",
      "ServiceAccountDn": "cn=serviceaccount,ou=svcaccts,dc=lmxopcua,dc=local",
      "ServiceAccountPassword": "serviceaccount123",
      "DisplayNameAttribute": "cn",
      "GroupAttribute": "memberOf",
      "GroupToRole": {
        "ReadOnly": "ConfigViewer",
        "ReadWrite": "ConfigEditor",
        "AlarmAck": "FleetAdmin"
      }
    }
  },
  "Serilog": {
    "MinimumLevel": "Information"
  },
  "Metrics": {
    "Prometheus": {
      "Enabled": true
    }
  }
}
